# Checks

**Checks** enable you to run various types of verifications against your clients. You can perform the following types of checks:

1. [Standard AML Screening](/documentation/product-guides/watchlist-pep-and-adverse-media/aml-screening-check.md)
2. [Extensive AML Screening](/documentation/product-guides/watchlist-pep-and-adverse-media/aml-screening-check.md)
3. [Document Check](/documentation/product-guides/identity-verification/document-check.md)
4. [Identity Check](/documentation/product-guides/identity-verification/document-check.md)
5. [Enhanced Identity Check](/documentation/product-guides/biometric-and-liveness-verification/enhanced-identity-check.md)
6. [Proof of Address Check](/documentation/product-guides/kyc-automation-services/proof-of-address-check.md)
7. [Multi-Bureau Check](/documentation/product-guides/identity-verification/multi-bureau-check.md)
8. [eID Check](/documentation/product-guides/identity-verification/eid-check.md)
9. [SSN Check](/documentation/product-guides/identity-verification/ssn-check.md)
10. [Age Estimation Check](/documentation/product-guides/biometric-and-liveness-verification/age-estimation-check.md)
11. [Identity Fraud Check](/documentation/product-guides/identity-verification/identity-fraud-check.md)
12. [Driving License Check](/documentation/product-guides/identity-verification/driving-license-check.md)
13. [Device Intelligence Check](/documentation/product-guides/digital-fraud-intelligence/device-intelligence-check.md)
14. [Email Intelligence Check](/documentation/product-guides/digital-fraud-intelligence/email-intelligence-check.md)
15. [Mobile Intelligence Check](/documentation/product-guides/digital-fraud-intelligence/mobile-intelligence-check.md)
16. [Face Authentication Check](/documentation/product-guides/biometric-and-liveness-verification/face-authentication-check.md)

The checks API allows you to create, update, validate, and retrieve checks. You can retrieve a specific check as well as a list of all your client's checks.

{% hint style="info" %}
All checks are **asynchronous**.
{% endhint %}

### The Check object

<table><thead><tr><th width="185.01628989361703">Attribute</th><th width="106.51171875">Type</th><th width="339.2">Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a check.</td></tr><tr><td><code>clientId</code></td><td>string</td><td>The ID of the client associated with this check.</td></tr><tr><td><code>enableMonitoring</code></td><td>boolean</td><td>Determines whether continuous monitoring is enabled. When not provided, it defaults to <strong>false</strong>.</td></tr><tr><td><code>documentId</code></td><td>string</td><td>The ID of the document. This is expected when the type of check is <code>document_check</code>, <code>identity_check</code>, <code>enhanced_identity_check</code>, <code>proof_of_address_check</code>, or <code>driving_license_check</code>.</td></tr><tr><td><code>addressId</code></td><td>string</td><td>The ID of the address. This is expected when the check type is <code>multi_bureau_check</code> or <code>identity_fraud_check</code>.</td></tr><tr><td><code>livePhotoId</code></td><td>string</td><td>The ID of the live photo. This is expected when the type of check is <code>identity_check</code>, <code>age_estimation_check</code>, or <code>face_authentication_check</code>.</td></tr><tr><td><code>liveVideoId</code></td><td>string</td><td>The ID of the live video. This is expected when the type of check is <code>enhanced_identity_check</code>.</td></tr><tr><td><code>entityName</code></td><td>string</td><td>The full name of the client. This will be auto-generated.</td></tr><tr><td><code>type</code></td><td>string</td><td><p>The type of check. Valid values include:</p><ol><li><a href="/pages/-M6e0EwlehQsdOq_yXEg"><code>standard_screening_check</code></a></li><li><a href="/pages/-M6e0EwlehQsdOq_yXEg"><code>extensive_screening_check</code></a></li><li><a href="/pages/-M6e0Oxc-682N--MxjB-"><code>document_check</code></a></li><li><a href="/pages/-M6e0YQyJJD7unImTqoO"><code>identity_check</code></a></li><li><a href="/pages/-MYdKn48J_wS9hZ0Xihw"><code>enhanced_identity_check</code></a></li><li><a href="/pages/-MkmHhkkG0mUWz5eWtm-"><code>proof_of_address_check</code></a></li><li><a href="/pages/-Mkw5voOvxnUu8eNpmb_"><code>multi_bureau_check</code></a></li><li><a href="/pages/XTEFT0O7MYNtrF20LhAI"><code>eid_check</code></a></li><li><a href="/pages/8MciUINkiG7WpgBVMvEe"><code>ssn_check</code></a></li><li><a href="/pages/rMw92QWqSOHFLFCreuwS"><code>age_estimation_check</code></a></li><li><a href="/pages/kkAV9P8i3FEVScZsk6fU"><code>identity_fraud_check</code></a></li><li><a href="/pages/mu2XzEhFoKRqL0yDfPuT"><code>driving_license_check</code></a></li><li><a href="/pages/RZgWs5qAD4hyIbBbGtzf"><code>device_intelligence_check</code></a></li><li><a href="/pages/MfwrS5SeVsKcUq8UQQRC"><code>email_intelligence_check</code></a></li><li><a href="/pages/SZz9SKwFW2tPPQAOwNKd"><code>mobile_intelligence_check</code></a></li><li><a href="/pages/SEBVfnUWdrhOwWn4qkxc"><code>face_authentication_check</code></a></li></ol></td></tr><tr><td><code>options</code></td><td>object</td><td>The advanced optional configuration associated with the check. Also, see the <strong>options</strong> object defined under each <code>type</code> of check.</td></tr><tr><td><code>clientConsent</code></td><td>boolean</td><td>Where required, you must collect the client's consent before creating a check.</td></tr><tr><td><code>status</code></td><td>string</td><td><p>The status of the check. As checks are asynchronous, their status will change as their state transitions. Values can be:</p><ol><li><code>pending</code> - the status on initiation.</li><li><code>complete</code> - the status upon completion.</li><li><code>failed</code> - the status if a check fails.</li></ol></td></tr><tr><td><code>result</code></td><td>object</td><td>The result of the check. This will only have a value when a check is complete. The content will depend on the type of check.</td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the check was created.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the check was completed.</td></tr></tbody></table>

### Structured Date format

In many cases, an attribute within a check's `result` object will contain an attribute with a structured date value.

{% tabs %}
{% tab title="Attributes" %}

<table><thead><tr><th width="150">Attribute</th><th width="150">Type</th><th width="335.9726183685112">Description</th></tr></thead><tbody><tr><td><code>day</code></td><td>number</td><td>The day of the month. Value range <code>1-31</code>.</td></tr><tr><td><code>month</code></td><td>number</td><td>The month. Value range <code>1-12</code>.</td></tr><tr><td><code>year</code></td><td>number</td><td>The year, in <code>YYYY</code> format.</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Object" %}

```json
{
    ...
    "expirationDate":{
        "day": 1,
        "month": 12,
        "year": 2020
    }
    ...
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/checks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
